# $Id: k3b-i18n.spec,v 1.7 2004/04/04 23:03:55 rexdieter Exp $

Name:    k3b-i18n
Summary: Internationalization package for k3b
Version: 1.0.1
Release: 0.1 

License: GPL
Group:   User Interface/Desktops
URL:     http://www.k3b.org/
Source:  http://dl.sourceforge.net/sourceforge/k3b/k3b-i18n-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
Buildarch: noarch

BuildRequires:  kdelibs-devel
BuildRequires:  zlib-devel
BuildRequires:  gettext

Requires: k3b >= %{version}

%description
This package adds support for multiple languages to k3b.


%prep
%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

./configure \
  --prefix=$(kde-config --prefix) \
  --disable-debug --disable-warnings --disable-dependency-tracking 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
for app_file in $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/*.mo ; do
   app=$(basename $app_file .mo)
   # don't repeat
   [ ! -f ${app}.lang ] && %find_lang ${app}
done
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


cat *.lang > %{name}-all.lang


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}-all.lang
%defattr(644,root,root,755)


%changelog
* Sun Apr 22 2007 Rex Dieter 1.0.1-0.1
- k3b-i18n-1.0.1

* Thu Mar 22 2007 Rex Dieter 1.0-1
- k3b-i18n-1.0

* Fri Jun 23 2006 Rex Dieter 0.12.16-1
- 0.12.16

* Wed Apr 12 2006 Rex Dieter 0.12.15-1
- 0.12.15

* Tue Mar 07 2006 Rex Dieter 0.12.14-1
- 0.12.14

* Thu Mar 02 2006 Rex Dieter 0.12.13-1
- 0.12.13

* Wed Feb 15 2006 Rex Dieter 0.12.12-1
- 0.12.12

* Mon Feb 13 2006 Rex Dieter 0.12.11-0.1
- 0.12.11

* Fri Dec 16 2005 Rex Dieter 0.12.10-0.1
- 0.12.10

* Mon Dec 12 2005 Rex Dieter 0.12.8-0
- 0.12.8

* Wed Nov 02 2005 Rex Dieter 0.12.7-1.0
- 0.12.7 

* Sat Oct 29 2005 Rex Dieter 0.12.6-0
- 0.12.6

* Mon Jun 20 2005 Rex Dieter 0:0.12.1-0.0
- 0.12.1

* Mon Mar 22 2004 Rex Dieter <rexdieter at sf.net> - 0:0.11-0.fdr.3
- %%lang'ify HTML docs

* Fri Mar  5 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11-0.fdr.2
- Update to 0.11 from 2004-03-05 in which upstream has added some fixes
  and obsoletes the patch for previous release.

* Wed Mar  3 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11-0.fdr.1
- Update to 0.11.
- "Fix" da/fr docbooks to not break on FC1.

* Sun Nov 23 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.5
- Add gettext build requirement.

* Fri Nov 21 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.4
- Reduce build requirements.

* Tue Oct 28 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.3
- Apply Fedora QA suggestions (bug #886).

* Sun Oct 26 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.2
- k3b home page says to use k3b-i18n-0.10 also for k3b-0.10.1.

* Sun Oct 26 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.10-0.fdr.1
- Update for k3b 0.10.

* Sun Oct 26 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.9-0.fdr.1
- Initial package for Fedora.
- The various build requirements are copied from k3b package, because
  the k3b-i18n upstream tarball seems to be a hacked k3b tarball.

